Summary: document centric objects and utilities
Name: goffice

%global momorel 1
Version: 0.6.4
Release: %{momorel}m%{?dist}
Group: User Interface/Desktops
License: GPL
URL: http://www.gnome.org/

Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.6/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
BuildPrereq: intltool
BuildPreReq: glib2-devel
BuildPreReq: libgsf-devel
BuildPreReq: libxml2-devel
BuildPreReq: pango-devel
BuildPreReq: libart_lgpl-devel
BuildPrereq: cairo-devel
BuildPreReq: gtk2-devel
BuildPreReq: libglade2-devel
BuildPreReq: GConf2-devel
BuildPreReq: libgnomeui-devel
BuildPrereq: libXrender-devel
BuildPrereq: libXext-devel
BuildPrereq: pcre-devel
Prereq: GConf2
Prereq: rarian

%description
GOffice -- A glib/gtk set of document centric objects and utilities

%package devel
Summary: A library for goffice
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
goffice-devel

%prep
%setup -q

%build
%configure \
    --enable-gtk-doc \
    --with-gnome
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS BUGS COPYING ChangeLog MAINTAINERS NEWS README
%{_libdir}/goffice
%{_libdir}/lib*.so.*
%{_datadir}/goffice
%{_datadir}/locale/*/*/*
%{_datadir}/pixmaps/goffice

%files devel
%defattr (-, root, root)
%{_includedir}/libgoffice-0.6
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Mon May 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.4-1m)
- update to 0.6.4

* Mon May  5 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.3-1m)
- update to 0.6.3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.2-2m)
- rebuild against gcc43

* Fri Mar  7 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.2-1m)
- update to 0.6.2

* Tue Jan  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.1-1m)
- update to 0.6.1

* Tue Dec 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-1m)
- update to 0.6.0

* Wed Sep  5 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.3-1m)
- update to 0.4.3

* Sun Aug 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.2-1m)
- update to 0.4.2

* Mon Dec 18 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.2-1m)
- update to 0.2.2

* Thu Aug 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.1-3m)
- delete libtool library

* Wed Apr 19 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.2.1-2m)
- rebuild against libgsf-1.14.0

* Mon Mar 27 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.2.1-1m)
- update to 0.2.1

* Tue Nov 29 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.2-1m)
- start
